Overview
POST
/content/poll-votesinteractionsCast a vote (single-choice polls replace the caller’s prior vote)
Create a record in poll-votes.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- optionIdstring
Example
{
"optionId": "string"
}Responses
200
Vote already existed (idempotent)
- idstring
- ecosystemIdstring
- customerIdstring
- optionIdstring
- createdAtstring
- deletedAtoptionalstring?
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"optionId": "string",
"createdAt": "string",
"deletedAt": "string"
}201
Vote cast
- idstring
- ecosystemIdstring
- customerIdstring
- optionIdstring
- createdAtstring
- deletedAtoptionalstring?
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"optionId": "string",
"createdAt": "string",
"deletedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/poll-votes" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"optionId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/poll-votes", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"optionId\": \"string\"\n}",
});
const data = await res.json();